> ## Documentation Index
> Fetch the complete documentation index at: https://developers.everflow.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Traffic Source

Create a new traffic source. Traffic sources define tracking parameters and values that are appended to affiliate tracking links.


## OpenAPI

````yaml openapi/traffic-sources.yaml post /networks/trafficsource
openapi: 3.0.3
info:
  title: Everflow Network API - Traffic Sources
  description: >
    Endpoints for managing traffic sources in the Everflow network. Traffic
    sources are a powerful way of appending parameters and values to links for
    partners. For setup details, see the [Traffic Sources
    guide](https://helpdesk.everflow.io/customer/how-to-create-link-templates-with-traffic-sources).
  version: 1.0.0
servers:
  - url: https://api.eflow.team/v1
security: []
tags:
  - name: Traffic Sources
paths:
  /networks/trafficsource:
    post:
      tags:
        - Traffic Sources
      summary: Create Traffic Source
      requestBody:
        required: true
        content:
          application/json:
            example:
              name: traffic source 3
              postback_url: https://www.postbackurl.com
              is_public: false
              parameters:
                - tracking_parameter: param1
                  tracking_value: value1
                - tracking_parameter: param2
                  tracking_value: value2
            schema:
              $ref: '#/components/schemas/TrafficSourceInput'
      responses:
        '200':
          description: ''
          content:
            application/json:
              example:
                network_traffic_source_id: 1
                network_id: 1
                name: traffic source 3
                postback_url: https://www.testpostback.com
                time_created: 1774721376
                time_saved: 1774721376
                relationship:
                  parameters:
                    total: 2
                    entries:
                      - network_traffic_source_id: 1
                        network_id: 1
                        tracking_parameter: param1
                        tracking_value: value1
                      - network_traffic_source_id: 1
                        network_id: 1
                        tracking_parameter: param2
                        tracking_value: value2
                is_public: false
              schema:
                $ref: '#/components/schemas/TrafficSource'
      security:
        - API Key: []
components:
  schemas:
    TrafficSourceInput:
      type: object
      required:
        - name
        - is_public
        - parameters
      properties:
        name:
          type: string
          description: Name of the traffic source.
        postback_url:
          type: string
          description: An optional postback URL for this traffic source.
        is_public:
          type: boolean
          description: >
            When true, affiliates will be able to select this traffic source
            when generating tracking links.
        parameters:
          type: array
          description: >
            An array of parameter/value pairs that define the tracking
            parameters for this traffic source. At least one entry is required.
          items:
            type: object
            required:
              - tracking_parameter
              - tracking_value
            properties:
              tracking_parameter:
                type: string
                description: Parameter to be added to the traffic source.
              tracking_value:
                type: string
                description: Value that will be added to the parameter.
    TrafficSource:
      type: object
      properties:
        network_traffic_source_id:
          type: integer
          description: Unique traffic source ID.
        network_id:
          type: integer
          description: Network ID.
        name:
          type: string
          description: Name of the traffic source.
        postback_url:
          type: string
          description: Postback URL for this traffic source.
        time_created:
          type: integer
          example: 1734455015
          description: Unix timestamp of creation.
        time_saved:
          type: integer
          example: 1734455015
          description: Unix timestamp of last update.
        relationship:
          type: object
          properties:
            parameters:
              type: object
              properties:
                total:
                  type: integer
                  description: Total number of parameters.
                entries:
                  type: array
                  items:
                    type: object
                    properties:
                      network_traffic_source_id:
                        type: integer
                      network_id:
                        type: integer
                      tracking_parameter:
                        type: string
                        description: The tracking parameter name.
                      tracking_value:
                        type: string
                        description: The tracking parameter value.
        is_public:
          type: boolean
          description: >
            When true, affiliates can select this traffic source when generating
            tracking links.
  securitySchemes:
    API Key:
      description: The Everflow API key generated from the Control Center > Security.
      in: header
      name: X-Eflow-Api-Key
      type: apiKey

````